Bug 970195 - webadmin portal only reports VMs in "Up" status in the "Load" column
webadmin portal only reports VMs in "Up" status in the "Load" column
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.4
All Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Lukas Svaty
sla
: Reopened
: 1015182 (view as bug list)
Depends On: 881593
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 12:15 EDT by Julio Entrena Perez
Modified: 2016-02-10 15:15 EST (History)
15 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Previously, the Load column in the Host tab only reported the virtual machines in the Up status, without taking into account virtual machines which were in the process of migration. This has been fixed, and now virtual machines which are being migrated are also counted.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:25:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Num. of VMs currently migrating (36.09 KB, image/jpeg)
2013-07-16 07:02 EDT, Eldan Hildesheim
no flags Details
screenshot showing initial state: 6 vms on one host, 0 on the 2nd (28.41 KB, image/png)
2013-08-08 05:29 EDT, Barak Dagan
no flags Details
screenshot showing start of migration: 6 vms on one host, 6 on the 2nd (26.69 KB, image/png)
2013-08-08 05:30 EDT, Barak Dagan
no flags Details
screenshot showing transition during migration: 6 vms on one host (6 in transition state), 4 on the 2nd (3 in transition state) (28.40 KB, image/png)
2013-08-08 05:36 EDT, Barak Dagan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 389623 None None None Never
oVirt gerrit 17406 None None None Never

  None (edit)
Description Julio Entrena Perez 2013-06-03 12:15:52 EDT
Description of problem:
webadmin portal only reports VMs in "Up" status in the "Load" column.
VMs which are in "Migrating from" status but still running on the host are not taken into account.

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.1.0-53.el6ev

How reproducible:
Always.

Steps to Reproduce:
1. Choose a VM and request it to be live migrated to another host.
2. Immediately switch to the "Hosts" tab and check the number of VMs reported in the "Load" column for either this host or the destination host.

Actual results:
"Migrating from" VMs are not counted in the source host nor in the destination host.

Expected results:
"Load" column reports all VMs still running in each host regardless of those being "Up" or in a different state.

Additional info:
Comment 2 Itamar Heim 2013-06-12 03:48:08 EDT
load column has been removed in 3.2...
Comment 3 Julio Entrena Perez 2013-06-12 06:09:56 EDT
(In reply to Itamar Heim from comment #2)
> load column has been removed in 3.2...

It has been replace by "Virtual Machines" column.

VMs are accounted in both source and destination hosts during the entire live migration.

For example, in a cluster with 4 VMs, if I request to live migrate all VMs (or just request the host where they run to enter Maintenance) the "Virtual Machines" column will show 4 VMs in each host totaling 8 VMs.
Comment 4 Itamar Heim 2013-06-12 06:12:26 EDT
(In reply to Julio Entrena Perez from comment #3)
> (In reply to Itamar Heim from comment #2)
> > load column has been removed in 3.2...
> 
> It has been replace by "Virtual Machines" column.
> 
> VMs are accounted in both source and destination hosts during the entire
> live migration.
> 
> For example, in a cluster with 4 VMs, if I request to live migrate all VMs
> (or just request the host where they run to enter Maintenance) the "Virtual
> Machines" column will show 4 VMs in each host totaling 8 VMs.

I don't see an issue with each host showing 4 VMs during live migration - why is this incorrect?
Comment 5 Julio Entrena Perez 2013-06-12 06:28:25 EDT
(In reply to Itamar Heim from comment #4)
> I don't see an issue with each host showing 4 VMs during live migration -
> why is this incorrect?

Because "Hosts" tab will display a total of 8 VMs when only 4 VMs exist.
Comment 6 Itamar Heim 2013-06-12 06:34:56 EDT
yes, during live migration there is a transient state in which both hosts carry the load of the VMs.
Andrew - thoughts?
Comment 7 James Rankin 2013-07-08 13:31:04 EDT
I don't see transient double-counting of VMs as a problem. In a sense, there is a very brief period where the VMs do exist in two places at once. I'd prefer to overestimate load than underestimate it.
Comment 9 Julio Entrena Perez 2013-07-09 04:47:32 EDT
(In reply to James Rankin from comment #7)
> there is a very brief period where the VMs do exist in two places at once.
When 80+ 4-8GB VMs run in a host live migrating those is not a brief period at all: a single live migration can take 5+ minutes and they need to accomplish 80+.

> I'd prefer to overestimate load than underestimate it.
Customer expects an accurate report of the number of VMs in a host at any time, not an estimation.
Comment 10 Doron Fediuck 2013-07-09 10:42:23 EDT
(In reply to Julio Entrena Perez from comment #9)
> (In reply to James Rankin from comment #7)
> > there is a very brief period where the VMs do exist in two places at once.
> When 80+ 4-8GB VMs run in a host live migrating those is not a brief period
> at all: a single live migration can take 5+ minutes and they need to
> accomplish 80+.
> 
> > I'd prefer to overestimate load than underestimate it.
> Customer expects an accurate report of the number of VMs in a host at any
> time, not an estimation.

Julio, 
I see your point of getting an accurate number of VMs.

However, there's a real reasoning behind this presentation; During the migration
process (which indeed may take time), both source and destination servers are
allocating resources for the migrating VM. So in order to properly depict the
host status the VM should be counted, as it's consuming CPU, RAM and other resources.
Disregarding any of the hosts will leave 'black holes'. For example, think of
a destination server with no VMs, and one VM is migrating to it. If we do not
count that VM, we will see a server working hard (CPU, etc) with no VMs at all
which may open a lot of issues on this strange behavior.

May I ask which functionality the current state is disrupting? 
What is the query / action you're trying to do?
Comment 14 Eldan Hildesheim 2013-07-16 07:02:56 EDT
Created attachment 774172 [details]
Num. of VMs currently migrating
Comment 15 Eldan Hildesheim 2013-07-16 07:08:13 EDT
UX wise - I would like to keep the table grid clean as much as possible.
I suggest showing as proposed, the #vm that are migrated.
The tool tip will show the # of vms that migrate in and # vms that migrate out.

(look at the previous post for a screen capture)
Comment 16 Julio Entrena Perez 2013-07-16 10:15:24 EDT
(In reply to Eldan Hildesheim from comment #15)
> UX wise - I would like to keep the table grid clean as much as possible.
> I suggest showing as proposed, the #vm that are migrated.
> The tool tip will show the # of vms that migrate in and # vms that migrate
> out.
> 
> (look at the previous post for a screen capture)

Thanks Eldan, that's accurate indeed.
Does the total number of VMs include migrating in and/or migrating out VMs?
Comment 17 Doron Fediuck 2013-07-16 11:45:37 EDT
(In reply to Julio Entrena Perez from comment #16)
> 
> Thanks Eldan, that's accurate indeed.
> Does the total number of VMs include migrating in and/or migrating out VMs?

Julio, yes; the total includes migrating VMs.
Comment 18 Julio Entrena Perez 2013-07-16 11:51:21 EDT
(In reply to Doron Fediuck from comment #17)
> 
> Julio, yes; the total includes migrating VMs.

Thanks Doron.
Would it be possible to remove "migrating in" VMs from the total number of running VMs? Otherwise the problem would remain: we'd report more VMs than we have.
Comment 21 Doron Fediuck 2013-07-28 10:01:52 EDT
Summarizing the issue resolution;

1. Virtual Machines column contents will change to display the total VMs and in
brackets transitioning VMs. If no transitioning VMs, the brackets will not be displayed:

  24 (3)
  #VMs (# transitioning VMs).


2. Hovering above a specific row will show a tool-tip with an explanations:
"24 running VMs, out of which 3 are migrating".

Going forward to next version(s), we'll add a similar support to the API.
Comment 24 Barak Dagan 2013-08-08 05:29:34 EDT
Created attachment 784269 [details]
screenshot showing initial state: 6 vms on one host, 0 on the 2nd
Comment 25 Barak Dagan 2013-08-08 05:30:35 EDT
Created attachment 784271 [details]
screenshot showing start of migration: 6 vms on one host, 6 on the 2nd
Comment 26 Barak Dagan 2013-08-08 05:36:02 EDT
Created attachment 784286 [details]
screenshot showing transition during migration: 6 vms on one host (6 in transition state), 4 on the 2nd (3 in transition state)
Comment 27 Barak Dagan 2013-09-03 10:33:32 EDT
Andrew, please advice
Comment 29 Doron Fediuck 2013-10-24 07:03:37 EDT
*** Bug 1015182 has been marked as a duplicate of this bug. ***
Comment 30 Charlie 2013-11-27 19:16:35 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 31 errata-xmlrpc 2014-01-21 12:25:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.